<template>
  <v-col>
    <v-row class="ml-4">
      <span class="titulo">HISTORIAS CLÍNICAS</span>
    </v-row>
    <v-btn
      v-if="$vuetify.breakpoint.smAndDown"
      class="flotante"
      fab
      color="accent"
      bottom
      right
      @click="abrirForm"
    >
      <v-icon class="fal fa-user-plus" dark />
    </v-btn>
    <lista-historias-clinicas @onEdit="editarForm" @onAbrir="abrirForm" />
    <v-dialog v-model="dialogHistoriasClinicas" width="1000" :fullscreen="$vuetify.breakpoint.smAndDown">
      <form-historias-clinicas v-if="dialogHistoriasClinicas" :historiaclinica="historiaClinica" @onClose="closeDialog" />
    </v-dialog>
  </v-col>
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator'
import ListaHistoriasClinicas from '~/components/historiasClinicas/listaHistoriasClinicas.vue'
import { HistoriaClinica } from '~/core/models/historiaClinica'
import FormHistoriasClinicas from '~/components/historiasClinicas/formHistoriasClinicas.vue'

@Component({
  components: { FormHistoriasClinicas, ListaHistoriasClinicas },
  head: { title: 'Historias Clínicas' },
  middleware: 'auth'
})
export default class historiasClinicas extends Vue {
  dialogHistoriasClinicas:boolean = false;

  historiaClinica:HistoriaClinica = null;

  abrirForm () {
    this.dialogHistoriasClinicas = true
  }

  editarForm (val) {
    this.historiaClinica = val
    this.dialogHistoriasClinicas = true
  }

  closeDialog () {
    this.dialogHistoriasClinicas = false
    this.historiaClinica = null
  }
}
</script>

<style lang="scss">

</style>
